You're using deprecated Apple Push Notifications certificate. Read our docs to learn how to use more modern solution

Standalone app, with expo handling certificates.

This morning, when we did an expo build:ios, we received this message:

“You’re using deprecated Apple Push Notifications certificate. Read our docs to learn how to use more modern solution”

We’re on SDK 29, already using FCM certificates for Android, and we couldn’t find anything on the web (neither here in the forums) by that error message.

PS: my suggestion is that instead of “read our docs” a link could be provided to the specific documentation in a case like this :slight_smile:

4 Likes

Hi,

I ran into the exact same issue. I forgot how but at some point it did show me a link following this message: https://docs.expo.io/versions/latest/distribution/building-standalone-apps/#switch-to-push-notification-key-on-ios

Simply run expo build:ios --clear-push-cert, and that should do it! :slight_smile:

1 Like

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.